## hkl-pseudoaxis-common-psi-private

hkl-pseudoaxis-common-psi-private

## Functions

HklMode * | hkl_mode_psi_new ()
HklEngine * | hkl_engine_psi_new ()

## Types and Values

struct | HklModePsi
struct | HklEnginePsi

## Description

## Functions

### hkl_mode_psi_new ()

    HklMode *
    hkl_mode_psi_new (const HklModeAutoInfo *info);

### hkl_engine_psi_new ()

    HklEngine *
    hkl_engine_psi_new (HklEngineList *engines);

## Types and Values

### struct HklModePsi

    struct HklModePsi {
    	HklMode parent;
    	HklVector Q0;
    	HklVector hkl0;
    };

### struct HklEnginePsi

    struct HklEnginePsi {
    	HklEngine engine;
    	HklParameter *psi;
    };